## ros-kinetic-rr-openrover-stack 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rr_openrover_stack)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-rr-openrover-stack (1.0.1-1xenial) xenial; urgency=high



 -- Nick Padilla <nickpadilla@roverrobotics.com>  Mon, 15 Jun 2020 05:00:00 -0000

ros-kinetic-rr-openrover-stack (1.0.0-1xenial) xenial; urgency=high

  * Merge pull request #76 <https://github.com/RoverRobotics/rr_openrover_stack/issues/76> from RoverRobotics/feature/padiln/expose_odometry
    Feature/padiln/expose odometry
  * Merge branch 'develop' into feature/padiln/rviz_gazebo_sim
  * Merge pull request #51 <https://github.com/RoverRobotics/rr_openrover_stack/issues/51> from RoverRobotics/master
    Sync with master
  * Merge pull request #43 <https://github.com/RoverRobotics/rr_openrover_stack/issues/43> from RoverRobotics/kinetic-devel
    Merging change log update from bloom release
  * Merge pull request #40 <https://github.com/RoverRobotics/rr_openrover_stack/issues/40> from RoverRobotics/kinetic-devel
    Kinetic devel
  * Contributors: padiln

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Mon, 08 Jun 2020 05:00:00 -0000

ros-kinetic-rr-openrover-stack (0.8.0-1xenial) xenial; urgency=high



 -- Nick Padilla <nickpadilla@roverrobotics.com>  Wed, 25 Mar 2020 05:00:00 -0000

ros-kinetic-rr-openrover-stack (0.7.4-1xenial) xenial; urgency=high

  * Changed maintainership of all packages
  * Fixed PID overwrite issue

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Wed, 19 Feb 2020 06:00:00 -0000

ros-kinetic-rr-openrover-stack (0.7.3-1xenial) xenial; urgency=high

  * Migrating all usage of tf to tf2
  * Simplified rover data messages and only publish rate-based data in legacy mode

 -- Nicholas Padilla <padilla@digilabs.io>  Mon, 14 Oct 2019 05:00:00 -0000

ros-kinetic-rr-openrover-stack (0.7.2-1xenial) xenial; urgency=high

  * Collect the packages to operate the rover platform into a stack
  * Changed repo name from rr_openrover_ros1 to rr_openrover_stack
  * Refactor rr_control_input_manager from a MUX to a TwistStamped latency manager

 -- Nicholas Padilla <padilla@digilabs.io>  Thu, 18 Jul 2019 05:00:00 -0000

ros-kinetic-rr-openrover-stack (0.7.1-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Mon, 24 Jun 2019 05:00:00 -0000

ros-kinetic-rr-openrover-stack (0.7.0-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Mon, 13 May 2019 05:00:00 -0000

ros-kinetic-rr-openrover-stack (0.6.2-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Wed, 23 Jan 2019 06:00:00 -0000

ros-kinetic-rr-openrover-stack (0.6.1-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Thu, 20 Dec 2018 06:00:00 -0000

ros-kinetic-rr-openrover-stack (0.6.0-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Fri, 07 Dec 2018 06:00:00 -0000

ros-kinetic-rr-openrover-stack (0.5.1-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Thu, 20 Sep 2018 05:00:00 -0000

ros-kinetic-rr-openrover-stack (0.5.0-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Thu, 06 Sep 2018 05:00:00 -0000

ros-kinetic-rr-openrover-stack (0.4.0-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Mon, 23 Jul 2018 05:00:00 -0000

ros-kinetic-rr-openrover-stack (0.3.0-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Thu, 19 Jul 2018 05:00:00 -0000

ros-kinetic-rr-openrover-stack (0.2.0-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Tue, 17 Jul 2018 05:00:00 -0000

ros-kinetic-rr-openrover-stack (0.1.0-1xenial) xenial; urgency=high



 -- Nicholas Padilla <padilla@digilabs.io>  Tue, 10 Jul 2018 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rr-openrover-stack
Section: misc
Priority: optional
Maintainer: Nick Padilla <nickpadilla@roverrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-rr-openrover-stack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-rr-control-input-manager, ros-kinetic-rr-openrover-description, ros-kinetic-rr-openrover-driver, ros-kinetic-rr-openrover-driver-msgs, ros-kinetic-rr-openrover-simulation, ros-kinetic-rr-rover-zero-driver
Description: Packages related to the operation of Rover Robotics rover hardware.
 This includes a client for interfacing with the hardware (rr_openrover_driver) and a tool for filtering time stamped velocity commands (rr_control_input_manager).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rr-openrover-stack//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
